<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         shop_help.php
Description:  Shop help

*/
    include "../modules/mod_config.php";
    include "../modules/mod_shop.php";

    // Check for maintenance mode...
    if ($SHOP_MAINTENANCE_MODE == true)
    {
        include $ADMIN_MAINTENANCE_SITE;
        return;
    }

    // Check for login...
    if (check_login() == false && $FORCE_CUSTOMER_LOGIN == true)
    {
        header ("location: " . $SHOP_LOGIN_SITE);
        return;
    }

    include "../modules/class_translation.php";
    include "../modules/class_textfile.php";

    if (isset($_POST['help_Cancel']))
    {
        header ('location: ' . $SHOP_MAIN_SITE);
        return;
    }

    $cFile = new cTextFile;

    $contPage = build_page($SHOP_THEME, false, true, true, "");
    $titleArray = get_shop_navigationtitles();
    $contPage = fill_titles($contPage, $SHOP_TITLE, $titleArray[6]);

    // Main content
    $contMain = build_shop_login();
    $contMain .= $cFile->LoadFromFile($HELPTITLE_CONFIG_FILE);
    $contMain .= echo_sr ('<table class="con_tbl" id="help_con_tbl"><tr><td>');
    $contMain .= echo_sr ($cFile->LoadFromFile($HELP_CONFIG_FILE));
    $contMain .= echo_sr ('</td></tr></table>');
    $contMain .= build_shop_bottom_links("help_Cancel", $cTrans->GetTranslation('shop_help_backtoshop'));

    // Additional content
    $contAdditional = "";

    // Put content together
    $contContent = build_site_content($ALIGN_TOP, $contMain, $contAdditional);
    $contPage = fill_content($contPage, $contContent, "", "");
    $contPage = fill_emptyvars($contPage);

    echo_r($contPage);

?>